
+function($){
	$("input[data-fileinput='image']").change(function(){
		var parent = $(this).parents("div.image-with-preview");
	    readURLTrack(this);

	    function readURLTrack(input) {

	    if (input.files && input.files[0]) {
	        var reader = new FileReader();

		        reader.onload = function (e) {
		            parent.find('img.prev-img').attr('src', e.target.result).css("border-color","#5cb85c");
		        }

		        reader.readAsDataURL(input.files[0]);
		    }
		}
	});



	// Media type on change
	$("input[name=media_type]").on("change", function() {
		var media_type = $(this).val();
		if(media_type=="image") {
			$(this).closest("form").find(".video-upload-wrapper").fadeOut();
			$(this).closest("form").find(".gallery-upload-wrapper").fadeOut();
			$(this).closest("form").find(".image-upload-wrapper").fadeIn();
		} else if(media_type=="video") {
			$(this).closest("form").find(".gallery-upload-wrapper").fadeOut();
			$(this).closest("form").find(".image-upload-wrapper").fadeOut();
			$(this).closest("form").find(".video-upload-wrapper").fadeIn();
		} else{
			$(this).closest("form").find(".image-upload-wrapper").fadeOut();
			$(this).closest("form").find(".video-upload-wrapper").fadeOut();
			$(this).closest("form").find(".gallery-upload-wrapper").fadeIn();
		}
	});

	// YouTube Embed Link generator
	$("input[name=media_link]").bind('input propertychange',function() {
		var url = $(this).val();
		function getId(url) {
		    var regExp = /^.*(youtu.be\/|v\/|u\/\w\/|embed\/|watch\?v=|\&v=)([^#\&\?]*).*/;
		    var match = url.match(regExp);

		    if (match && match[2].length == 11) {
		        return match[2];
		    } else {
		        return 'error';
		    }
		}

		var videoId = getId(url);
		$(this).next().next().val('https://www.youtube.com/embed/'+videoId);		
	});

	tinymce.init({
	    selector: 'textarea:not(.not-tinymce)',
			plugins: "lists,link,code, table",
	  });

	require('./jscolor');
}(jQuery);
